AnalysisTableManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class AnalysisTableManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.AnalysisTableManager

    public class AnalysisTableManager

extends java.lang.Object

Constructor Summary
`AnalysisTableManager()`

Method Summary
`static void` | `addCompletedAnalysis(java.lang.String id, AnalysisType toAdd)`
`static void` | `addReportId(int reportId, java.lang.String id)`
`static int` | `delete(java.util.ArrayList<Field> filter)`
`static int` | `delete(java.lang.String id)`
`static Analysis` | `getById(java.lang.String id)`
`static java.lang.Long` | `getCount(java.util.List<Field> filter)`
`static java.lang.String` | `getJSONList(java.util.List<Field> filters, PagedRequestSettings settings)`
`java.lang.String` | `getJSONRequests(java.util.List<Field> filters, PagedRequestSettings settings)`
`static java.util.ArrayList<Analysis>` | `getList(java.util.ArrayList<Field> filter)`
`static java.util.List<Analysis>` | `getList(java.util.List<Field> filter, PagedRequestSettings settings)`
`static java.lang.String` | `insertRequest(Analysis toInsert)`
`static void` | `removeReportId(int reportId, java.lang.String id)`
`static void` | `setArchivePath(java.lang.String id, java.lang.String path)`
`static void` | `setPhasePercent(double percent, java.lang.String id)`
`static void` | `setStartTime(java.lang.String id)`
`static void` | `setStatus(SubmittedStatus status, java.lang.String id)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalysisTableManager

    public AnalysisTableManager()

Method Detail

### getJSONRequests

    public java.lang.String getJSONRequests(java.util.List<Field> filters,
                                            PagedRequestSettings settings)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertRequest

    public static java.lang.String insertRequest(Analysis toInsert)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.ArrayList<Analysis> getList(java.util.ArrayList<Field> filter)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.List<Analysis> getList(java.util.List<Field> filter,
                                                   PagedRequestSettings settings)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addReportId

    public static void addReportId(int reportId,
                                   java.lang.String id)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addCompletedAnalysis

    public static void addCompletedAnalysis(java.lang.String id,
                                            AnalysisType toAdd)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeReportId

    public static void removeReportId(int reportId,
                                      java.lang.String id)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPhasePercent

    public static void setPhasePercent(double percent,
                                       java.lang.String id)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setStartTime

    public static void setStartTime(java.lang.String id)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setArchivePath

    public static void setArchivePath(java.lang.String id,
                                      java.lang.String path)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setStatus

    public static void setStatus(SubmittedStatus status,
                                 java.lang.String id)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONList

    public static java.lang.String getJSONList(java.util.List<Field> filters,
                                               PagedRequestSettings settings)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public static int delete(java.util.ArrayList<Field> filter)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getById

    public static Analysis getById(java.lang.String id)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public static int delete(java.lang.String id)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCount

    public static java.lang.Long getCount(java.util.List<Field> filter)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD